﻿namespace Zdjecie
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private async void button_Clicked(object sender, EventArgs e)
        {
            if(MediaPicker.Default.IsCaptureSupported)
            {
                FileResult wynik = await MediaPicker.CapturePhotoAsync();
                if (wynik != null)
                {
                    string ścieżkaPliku = Path.Combine(FileSystem.CacheDirectory, wynik.FileName);
                    label.Text = "Ścieżka pliku: " + ścieżkaPliku;
                    label.TextColor = Colors.Navy;

                    using Stream stream = await wynik.OpenReadAsync();
                    await stream.CopyToAsync(File.OpenWrite(ścieżkaPliku));
                    image.Source = ImageSource.FromFile(ścieżkaPliku);
                }
            }
            else
            {
                label.Text = "Nie udało się zrobić zdjęcia";
                label.TextColor = Colors.DarkRed;
            }
        }
    }

}
